# ProjectComponentIdentifier

interface ProjectComponentIdentifier : ComponentIdentifier

An identifier for a component instance that is built as part of the current build.

#### Since

1.10

## Functions

getBuild
Link copied to clipboard
abstract fun getBuild(): BuildIdentifier
Identifies the build that contains the project that produces this component.
getBuildTreePath
Link copied to clipboard
@Incubating
abstract fun getBuildTreePath(): String
Returns a path to the project for the full build tree.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getProjectName
Link copied to clipboard
abstract fun getProjectName(): String
Returns the simple name of the project that produces this component.
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
Returns the path of the project that produces this component.